imagecolorclosest
imagecolorclosesthwb
GD Functions
PHP Manual

# imagecolorclosestalpha

(PHP 4 >= 4.0.6, PHP 5)

imagecolorclosestalpha — Get the index of the closest color to the specified color + alpha

### Description

int imagecolorclosestalpha ( resource `$image` , int `$red` , int `$green` , int `$blue` , int `$alpha` )

Returns the index of the color in the palette of the image which is "closest" to the specified RGB value and `alpha` level.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`red`

  Value of red component

`green`

  Value of green component

`blue`

  Value of blue component

`alpha`

  A value between 0 and 127. 0 indicates completely opaque while 127 indicates completely transparent.

The colors parameters are integers between 0 and 255 or hexadecimals between 0x00 and 0xFF.

### Return Values

Returns the index of the closest color in the palette.

### Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

### See Also

- imagecolorexactalpha()

imagecolorclosest
imagecolorclosesthwb
GD Functions
PHP Manual